import { type Base, genBase } from './_base'
import type { Province } from './province'

export interface Regency extends Base {
  code: string
  name: string
  province_code: string

  province?: Province | null
}

export function genRegency(): Regency {
  return {
    ...genBase(),
    code: '',
    name: '',
    province_code: '',
  }
}
